Results 1 to 4 of 4

Thread: Error when install Viber (1)

  1. #1
    Join Date
    Mar 2014
    Location
    Dnepropetrovsk
    Posts
    105

    Default Error when install Viber (1)

    Good afternoon!

    I am experiencing the same problem as described in Error when install Viber (I would write there, but it is closed).
    Code:
    # rpm -ivh viber.rpm 
    error: Failed dependencies:
            libcrypto.so.10()(64bit) is needed by viber-7.0.0.1035-2.x86_64
            libssl.so.10()(64bit) is needed by viber-7.0.0.1035-2.x86_64
    I have linked corresponding libraries in /lib64/ with required names and placed them into /usr/lib64/:
    Code:
    friend:/usr/lib64 # ls -l | grep 'libcrypto'
    -rwxr-xr-x 1 root root  5081312 июл  7 20:03 libcryptopp-5.6.2.so.0
    -rw-r--r-- 1 root root 83227512 июл  7 20:03 libcryptopp.a
    lrwxrwxrwx 1 root root       22 ноя 25 11:42 libcryptopp.so -> libcryptopp-5.6.2.so.0
    lrwxrwxrwx 1 root root       25 авг 31 14:44 libcrypto.so -> /lib64/libcrypto.so.1.0.0
    lrwxrwxrwx 1 root root       25 ноя 25 12:27 libcrypto.so.10 -> /lib64/libcrypto.so.1.0.0
    lrwxrwxrwx 1 root root       19 ноя 25 11:39 libcrypto.so.41 -> libcrypto.so.41.0.1
    -rw-r--r-- 1 root root  2111840 июл  8 22:53 libcrypto.so.41.0.1
    friend:/usr/lib64 # ls -l | grep 'libssl'
    -rwxr-xr-x 1 root root   307744 сен 29 23:38 libssl3.so
    lrwxrwxrwx 1 root root       22 авг 31 14:44 libssl.so -> /lib64/libssl.so.1.0.0
    lrwxrwxrwx 1 root root       22 ноя 25 12:47 libssl.so.10 -> /lib64/libssl.so.1.0.0
    lrwxrwxrwx 1 root root       16 ноя 25 11:39 libssl.so.43 -> libssl.so.43.0.2
    -rw-r--r-- 1 root root   368616 июл  8 22:53 libssl.so.43.0.2
    This doesn't help.

    My system information:
    Code:
    > lsb_release -d && uname -r && kf5-config -v
    Description:    openSUSE Leap 42.3
    4.4.92-31-default
    Qt: 5.6.2
    KDE Frameworks: 5.32.0
    kf5-config: 1.0
    Help me, please, to install Viber.

    Thank you in advance,
    Natalia

  2. #2
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,802
    Blog Entries
    1

    Default Re: Error when install Viber (1)

    Installed as follows,
    I haven't actually tested a connection and verified that it's encrypted, but the program is installed, launched, and appears to be doing everything without complaining.

    1. Created the following symlink
    Code:
    ln -s /usr/lib64/libcrypto.so.1 /usr/lib64/libcrypto.so.10
    2. Downloaded the Viber RPM and installed using zypper
    Code:
    zypper in viber.rpm
    3. When The error/warning came up about the "missing" libcrypto.so.10, I choose (i) to "break dependencies" and ignore the error.
    NOTE: I haven't created a symlink for a package install before, I've only done this for unpackaged apps. It's my understanding(unverified) that the rpm database doesn't contain or understand symlinks which is why the error is still seen after creating the symlink. If this really bothers you, you might consider <copying> libcrypto.so.1 and then <renaming> the copy to libcrypto.so.10. Of course, in this case you should note this somewhere on the tiny and unlikely chance we might see an officially distributed real instance of libcrypto.so.10.

    After installation,
    Found a Viber menu item had been created in the Internet category (LXQt Dekstop).

    Launched the app without incident, said that registration requires installing on a mobile device first.
    So, Installed on my Android mobile phone and registered.

    While the Viber app was open on my phone, returned to my openSUSE to add it to the account created by the phone which involves launching a QR barcode on the Desktop.

    That caused my phone app to automatically launch the Viber QR scanner, which is either buggy or slow.
    Took me about a dozen scans, or over 5 minutes (don't know which actually was what had to happen) before suddenly my Desktop said it was successfully connected to my account. And then, I sent a message to someone else who already has Viber set up but I have no idea if he's on his machine right now.

    ************
    I suppose while my Desktop was connecting to Viber, I could have viewed or captured the activity to verify connections were encrypted,
    On the other hand, I would expect that Viber should <require> encrypted connections, and reject unencrypted communications but I don't know if the software is written that well or not. This might be easily tested by someone, you can try to install Viber without the libcrypto symlink and see if you can still set up the Desktop successfully... That would be a very big potential security hole if the Desktop succeeds without the symlink.

    Additional - I'm not kidding about what I said that "it's my understanding" about symlinks and the rpm database, it's only something I'd read and not fully tested or is backed up with experience. Others might have something more authoritative to say about this, particularly when it has direct effect on application security. Maybe this is a good chance to test and verify.

    HTH,
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  3. #3
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    10,802
    Blog Entries
    1

    Default Re: Error when install Viber (1)

    For anyone considering Viber,
    The following articles probably should be read first... Then, go ahead or not

    In the following article, Contacts List privacy could be a problem.
    I agree that sync-ing your entire Contacts list to Viber is a serious compromise in privacy... Of everyone in your Contacts List. It's likely unnecessary since a comparison of your full Contacts list and Viber Contacts can be done on your device, but would take much longer unless you have a really powerful phone and a not-too-long Contacts list. Considering the company is also located in Cyprus (Hello?! - Can you say offshore banking?) and circumstantial possible links to... As described in the article...
    https://haydenjames.io/i-refuse-to-s...ber-heres-why/

    The following article talks about the Messaging architecture which I haven't looked at.
    Basically, all you need to know is that since the beginning of Messaging apps, Enterprise Messaging has always been the best at supporting security out of the box, but also maintains a centralized nature where all communications flow through the Enterprise Servers, where everything can be logged and archived (of course, for business purposes!). But, generally speaking Public Messaging has not only been more lax with security but also implements Peer to Peer connections so that your communications don't flow through Servers. This makes the service cheaper because traffic is only between the conversationalists, and doesn't involve bandwidth and possible storage on Servers. But... If the following article is true, it could mean that someone (most paricularly Viber) could be saving all your conversations...
    http://www.dailymail.co.uk/sciencete...cks-study.html

    I haven't studied Viber enough to verify what is in these two articles, but recommend that if what is described in them are important to you, you should do some research before even touching this app...

    IMO,
    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

  4. #4
    Join Date
    Mar 2014
    Location
    Dnepropetrovsk
    Posts
    105

    Default Re: Error when install Viber (1)

    Good afternoon!

    Thank you!
    I have installed it through ignoring of dependencies:
    Code:
    # zypper in viber.rpm 
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides libcrypto.so.10()(64bit) needed by viber-7.0.0.1035-2.x86_64
     Solution 1: do not install viber-7.0.0.1035-2.x86_64
     Solution 2: break viber-7.0.0.1035-2.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c] (c): 2
    Resolving dependencies...
    Resolving package dependencies...
    
    The following NEW package is going to be installed:
      viber
    
    1 new package to install.
    Overall download size: 135.2 MiB. Already cached: 0 B. After the operation, additional 408.5 MiB will be used.
    Continue? [y/n/...? shows all options] (y): 
    Retrieving package viber-7.0.0.1035-2.x86_64                                  (1/1), 135.2 MiB (408.5 MiB unpacked)
    viber.rpm:
        Package is not signed!
    
    viber-7.0.0.1035-2.x86_64 (Plain RPM files cache): Signature verification failed [6-File is unsigned]
    Abort, retry, ignore? [a/r/i] (a): i
    Checking for file conflicts: ................................................................................[done]
    (1/1) Installing: viber-7.0.0.1035-2.x86_64 .................................................................[done]
    Now it works.

    /* I have tried to copy both /lib64/libcrypto.so.1.0.0 and /lib64/libcrypt-2.22.so as /lib64/libcrypto.so.10 but this didn't help (I don't have libcrypto.so.1 at my machine, just /lib64/libcrypt.so.1 linking on /lib64/libcrypt-2.22.so). */

    Thank you very much again!

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •